class EventsController < ApplicationController
  include MachineInterfaceable
  include MachineDataViewFilter
  include RxModule::Tableable

  def self.set_target_before
    super + [:event_data]
  end

  wrap_parameters :event, include: [:message, :type, :eventData, :date, :time, :sn]
  model_data_store(Event,
                   {create: false, read: true, update: false, delete: false, index: true},
                   {create: false, read: true, update: false, delete: false, index: true})

  def before_set_targets
    models = if filters["sn"]
               Event.where(machine_sn: filters["sn"])
             else
               Event
             end
    view_before_set_targets(models, params)
  end

  def before_filter(filter)
    view_before_filter(filter)
  end

  def add
    begin
      MachineInterfaceJobs::EventInterface::AddEventJob.perform_later(add_params)
    rescue => e
      Rails.logger.error e
    end
    send_machine_response
  end

  def event_data
    render :event_data
  end

  concerning :Deprecate do
    # get /event/1.0/list
    # params:
    #   startTime
    #   endTime
    #   offset
    #   limit
    #   resourceSn
    #   resourceGroupName
    def mes_events
      # Deprecate 2024/07/30 - XBA
      render plain: "DEPRECATED"
=begin
      ActiveRecord::Base.connected_to(shard: :archive, role: :reading) do
        @limit = params[:limit] || 200
        @offset = params[:offset] || 0
        start_time = Time.zone.parse(params[:startTime] || "") || Time.at(0)
        end_time = Time.zone.parse(params[:endTime] || "")  || Time.current
        @models = Event.where(time: start_time..end_time)
        @models = @models.where(machine_sn: params[:resourceSn]) if params[:resourceSn]
        @models = @models.offset(@offset).limit(@limit)
        render :events
      end
=end
    end
  end

  private

  def add_params
    event = params.require(:event).permit(:message, :type)
    event_data = params.require(:event).permit(eventData: {data: [:name, :value]}).dig(:eventData)&.dig(:data) || []

    add_params = {
      event: {
        message: event[:message],
        event_type: event[:type]
      },
      event_data: event_data
    }

    add_params.merge! query_params

    add_params
  end
end
