import * as React from "react";
import {observer} from "mobx-react-lite";
import {ModelSelect} from "@rx-suite/ui";
import {MachineGroupStore} from "../../../../stores/MachineGroupStore";

export const MachineGroupSelect: React.FunctionComponent = observer(() => {
    const machineGroupOptions = React.useMemo(()=> {
        return MachineGroupStore.models.sort((a,b) => a.name.localeCompare(b.name)).map(g => {
            return {
                value: g.getId(),
                label: g.name
            }
        })
    }, [MachineGroupStore.models])

    return (
        <ModelSelect
            name={"machine_group_ids"}
            loading={MachineGroupStore.isLoading}
            options={machineGroupOptions}
            multiple
        />
    )
})
