import * as React from "react";
import {observer} from "mobx-react-lite";
import {ModelSelect, useModelContext} from "@rx-suite/ui";
import {MachineProcessStore} from "../../../../stores/MachineProcessStore";
import {MachineModel} from "../../../../stores/MachineStore";

export const MachineProcessSelect: React.FunctionComponent = observer(() => {
    const machine = useModelContext() as MachineModel;

    MachineProcessStore.getAll();

    const machineProcessesOptions = React.useMemo(() => {
        return MachineProcessStore.models.sort((a, b) => a.rank - b.rank ).map(p => {
            return {
                value: p.getId(),
                label: p.display_name
            }
        })
    }, [MachineProcessStore.models])

    return (
        <ModelSelect
            name={"machine_process_id"}
            loading={MachineProcessStore.isLoading}
            options={machineProcessesOptions}
            disabled={!machine.viewModel.canEditMachineProcess}/>
    )
})

