import {t} from "@lingui/macro";
import {MachineModel} from "../../stores/MachineStore";
import {MachineProcessModel, MachineProcessStore} from "../../stores/MachineProcessStore";
import {BreadModelListBadge} from "../../components/generic/bread_model_list_badges/BreadModelListBadge";
import * as React from "react";
import {Grid} from "@material-ui/core";

export const useMachineProcessColumn = () => {
    const allMachineProcesses = MachineProcessStore.getAll() as MachineProcessModel[];

    const machineProcess = (process_id: number | null) => {
        if (!process_id) {
            return null;
        }
        return allMachineProcesses.find(process => process.id == process_id);
    }

    return (
        {
            Header: t`Machine Process`,
            accessor: (machine: MachineModel) => machine,
            id: 'machine_process_id',
            Cell: (cellInfo: {value: MachineModel }) => {
                const process = machineProcess(cellInfo.value.machine_process_id)

                if (!process) {
                    return null;
                }

                return (
                    <Grid container>
                        <BreadModelListBadge text={process.display_name}/>
                    </Grid>
                )
            }
        }
    )
}