import {BreadModel, makeColumn} from "@rx-suite/ui";
import {MachineProcessStore} from "../../stores/MachineProcessStore";
import {MachineProcessForm} from "./MachineProcessesForm";
import React from "react";
import {t} from "@lingui/macro";

export const MachineProcessesBreadModel = () => {
    const columns = [
        makeColumn('display_name', t`Display Name`, "string"),
        makeColumn('code', t`Code`, "string"),
        makeColumn('rank', t`Rank`, "string")
    ];

    return (
        <BreadModel
            store={MachineProcessStore}
            Form={MachineProcessForm}
            columns={columns}
            tableProps={
                {
                    defaultSorted: [{id: 'rank', desc: false}]
                }
            }
        />
    )
};