import React from "react";
import {FormProps, ModelForm, ModelInput} from "@rx-suite/ui";
import {observer} from "mobx-react-lite";
import {MachineProcessModel} from "../../stores/MachineProcessStore";

type MachineProcessesFormProps = {
    model: MachineProcessModel
} & Omit<FormProps, 'model'>

export const MachineProcessForm: React.FunctionComponent<MachineProcessesFormProps> = observer(({model}) => {
    return (
        <ModelForm model={model} suppressImportExport suppressMakeCopy>
            <ModelInput name={"display_name"} type={"text"}/>
            <ModelInput name={"code"} type={"string"} disabled={model.system_default}/>
            <ModelInput name={"rank"} type={"number"} disabled={model.system_default}/>
        </ModelForm>
    );
});