import * as React from 'react';
import {observer} from "mobx-react-lite";
import {FormProps, ModelForm, ModelInput} from "@rx-suite/ui";
import {Trans} from "@lingui/macro";
import {Alert} from '@material-ui/lab';
import {MachineTypeSelect} from "../../../components/machine/settings_form/form_inputs/MachineTypeSelect";

export const MesLiteMachineForm:React.FunctionComponent<FormProps> = observer(({ model }) => {

    return (
        <ModelForm model={model} suppressMakeCopy suppressImportExport>
            {model.archived &&
                <Alert severity="warning"><Trans>This machine is archived and will not appear in other modules,
                    reports, and dashboard components.</Trans></Alert>}
            <ModelInput name={"sn"} disabled={!model.isNew}/>
            <ModelInput name={"name"}/>
            <MachineTypeSelect/>
        </ModelForm>
    )
});
