import * as React from 'react';
import {BreadModel, makeColumn} from "@rx-suite/ui";
import {t} from "@lingui/macro";
import {observer} from "mobx-react-lite";
import {MachineTypeStore} from "../../../stores/MachineTypeStore";
import {useMachineTypeColumn} from "../../../hooks/table_columns/useMachineTypeColumn";
import {MesLiteMachineForm} from "./MesLiteMachineForm";
import {MachineStore} from "../../../stores/MachineStore";

export const MesLiteMachinesWorkstationTable = observer(() => {
    const columns = React.useMemo(() => {
        return [
            makeColumn('name', t`Name`, "string"),
            makeColumn('sn', t`Serial Number`, "string"),
            useMachineTypeColumn(),
        ]
    }, [MachineTypeStore.models]);

    return (
        <BreadModel
            store={MachineStore}
            Form={MesLiteMachineForm}
            columns={columns}
            mountCreate={false}
            mountEdit={false}
            preferReadLink
            tableProps={
                {
                    defaultFiltered: [{ id: 'archived', value: false }],
                    preferReadLink: true,
                    showCreateButton: false,
                    suppressActionColumn: true
                }
            }
        />
    )
});
