import {attribute, DataStore, model, Model} from "@rx-suite/data";
import {t} from "@lingui/macro";
import * as yup from "yup";

@model({
    transportLayer: "/api/consumable_record_data",
    permissionTarget: "ConsumableRecordDatum",
    routingInfo: {}
})

export class ConsumableRecordDatumModel extends Model {
    @attribute({label: t`Name`})
    name = ""

    @attribute({label: t`Value`})
    value = ""

    get resolved_name(): string {
        const label: { [key: string]: string } = {
            'tool_rfid': t`Polishing Tool RFID`,
            'tool_type': t`Polishing Tool Type`,
            'tool_position': t`Polishing Tool Position`,
            'tool_lens_count': t`Polishing Tool Lens Count`,
            'pp_tool_rfid': t`Pre-polishing Tool RFID`,
            'pp_tool_type': t`Pre-polishing Tool Type`,
            'pp_tool_position': t`Pre-polishing Tool Position`,
            'pp_tool_lens_count': t`Pre-polishing Tool Lens Count`,
            'ft1_track_length': t`Fast Tool 1 Track Length`,
            'ft2_track_length': t`Fast Tool 2 Track Length`
        };

        if (!label[this.name]) {
            return t`Unknown Tool Data`;
        }

        return label[this.name];
    }


    constructor() {
        super();
        super.setup();
    }
}

export const ConsumableRecordDatumStore = ConsumableRecordDatumModel.store as unknown as DataStore<ConsumableRecordDatumModel>