module MachineInterfaceJobs
  module CalibrationInterface
    class AddCalibrationJob < MachineInterfaceJobs::Base::MachineInterfaceJob
      queue_as :default

      # Resolver for /connector/satisloh/calibration/1.0/add

      def build_model(add_params)
        calibration = Calibration.new({
                                        machine_sn: @machine.sn,
                                        time: add_params[:time],
                                        target: add_params[:calibration][:target],
                                        target_name: add_params[:calibration][:target_name],
                                        calibration_type: add_params[:calibration][:calibration_type],
                                        sub_type: add_params[:calibration][:sub_type],
                                        mode: add_params[:calibration][:mode],
                                        user: add_params[:calibration][:user]
                                      })
        calibration.calibration_measurements.build(add_params[:measurements])
        calibration.calibration_corrections.build(add_params[:corrections])

        calibration
      end
    end
  end
end
