module MachineInterfaceJobs
  module ErrorInterface
    class AddErrorJob < MachineInterfaceJobs::Base::JobDataJob
      queue_as :default

      # Resolver for /connector/satisloh/error/1.0/add

      def build_model(add_params)
        Error.new({
                    machine_sn: @machine.sn,
                    time: add_params[:time],
                    job: @job,
                    piececounter: add_params[:error][:piececounter],
                    errno: add_params[:error][:errno],
                    error: add_params[:error][:error],
                    errortype: add_params[:error][:errortype],
                    status: add_params[:error][:status]
                  })
      end

      def after_model_save
        KpiMachineErrorJob.perform_later(@model)
      end

      def job_required?
        false
      end
    end
  end
end
