module MachineInterfaceJobs
  module JobProcessInterface
    class AddJobProcessJob < MachineInterfaceJobs::Base::JobDataJob
      queue_as :default

      # Resolver for /connector/satisloh/processparameter/1.1/add

      def build_model(add_params)
        manufacturing_process = ManufacturingProcess.get_by_job_and_name(@job.id, add_params[:job_process][:manufacturing_process])

        job_process = JobProcess.new({
                                       machine: @machine,
                                       job: @job,
                                       batch_id: add_params[:job][:batch_id],
                                       side: @job.side_num,
                                       manufacturing_process: manufacturing_process,
                                       time: add_params[:time]
                                     })
        job_process.job_process_parameters.build(add_params[:process_data])

        job_process
      end

      def after_model_save
        AddBoxCoaterBatchFromProcessJob.perform_later(@model) if @model.is_box_coater_event?
        MachineInterfaceJobs::JobProcessInterface::Computed::GenerateConsumableRecord.perform_later(@model) if @machine.collects_consumable_data?
      end
    end
  end
end
