module MachineInterfaceJobs
  module MachineStateInterface
    class AddMachineStateJob < MachineInterfaceJobs::Base::MachineInterfaceJob
      queue_as :high_priority

      # Resolver for /connector/satisloh/machinestate/2.0/add

      def build_model(add_params)
        MachineState.new({
                           machine_sn: @machine.sn,
                           time: add_params[:time],
                           state: add_params[:machine_state][:state],
                           comment: add_params[:machine_state][:comment],
                           addon: add_params[:machine_state][:addon]
                         })
      end

      def after_model_save
        KpiMachineStateJob.perform_later(@model)
        AddBoxCoaterEventJob.perform_later(@model) if @model.is_box_coater_event?
      end
    end
  end
end
