# -*- SkipSchemaAnnotations

module MachineTypes
  module Blockers
    class ArtBlockerA < Blocker
      include ErrorFilterMachineTypes::ArtBlocker
      include AbortFilterMachineTypes::ArtBlocker

      class << self
        def display_name
          'ART-Blocker-A'
        end

        def name
          'art_blocker_a'
        end

        def image_name
          'art_blocker_a.png'
        end

        def error_filters
          error_filters_data
        end

        def abort_filters
          abort_filters_data
        end

        def machine_manuals
          {
            maintenance: {
              en: { name: "ART_Blocker_A_maintenance_EN" }
            },
            operating: {
              en: { name: "ART_Blocker_A_operation_EN" }
            }
          }
        end

        def energy_consumptions
          {
            processing: 0.74,
            waitingforjobs: 0.68,
            error: 0.28,
            ready: 0.58,
            notready: 0.59,
            setup: 0.59,
            on: 0.58,
            maintenance: 0.58,
            halt: 0.59,
            estop: 0.27,
            off: 0,
            total_off: 0
          }
        end
      end
    end
  end
end

