# -*- SkipSchemaAnnotations

module MachineTypes
  module Others
    class ArtBlockPod < MachineTypeTemplate
      class << self
        def category
          'block_pod'
        end

        def machine_process
          MachineProcess.find_by(code: 'block_picking')
        end

        def display_name
          'ART-Block-Pod'
        end

        def name
          'art_block_pod'
        end

        def image_name
          'art_block_pod.png'
        end

        def machine_manuals
          {
            maintenance: {
              en: { name: "ART_Block_pod_maintenance_EN" },
              de: { name: "ART_Block_pod_maintenance_DE" },
              it: { name: "ART_Block_pod_maintenance_IT" },
              ja: { name: "ART_Block_pod_maintenance_JA" }
            },
            operating: {
              en: { name: "ART_Block_pod_operation_EN" },
              de: { name: "ART_Block_pod_operation_DE" },
              it: { name: "ART_Block_pod_operation_IT" },
              ja: { name: "ART_Block_pod_operation_JA" }
            }
          }
        end

        # In kW/h
        def energy_consumptions
          {
            processing: 0.71,
            waitingforjobs: 0.44,
            error: 0.51,
            ready: 0.33,
            notready: 0.26,
            setup: 0.33,
            on: 0.33,
            maintenance: 0.33,
            halt: 0.58,
            estop: 0.50,
            off: 0,
            total_off: 0.01
          }
        end

        def seed_version
          [super, 2.1].max
        end

        def apply_patch(machine_type)
          super

          machine_type.category = category

          if machine_type.seed_version < 2.1
            machine_type.error_filters.destroy_all
            machine_type.abort_filters.destroy_all
          end
        end
      end
    end
  end
end

