# -*- SkipSchemaAnnotations

module MachineTypes
  module Polishers
    module ConsumableData
      module MultiFlexConsumableData
        extend ActiveSupport::Concern

        class_methods do

          def consumable_data_params
            {
              keys: [:CELL,
                     :POLTIME,
                     :TOOL_TIME,
                     :TOOL_MAX_LIFETIME,
                     :TOOL_RFID_ID,
                     :TOOLTYPE,
                     :TOOL,
                     :TOOL_LENS_COUNT,
                     :POLTIME_PP,
                     :TOOL_TIME_PP,
                     :TOOL_RFID_ID_PP,
                     :TOOL_MAX_LIFETIME_PP,
                     :TOOLPP_TYPE,
                     :TOOLPP,
                     :TOOL_LENS_COUNT_PP
              ],
              consumables: [
                {
                  resolved_name: lambda { |args| "POLISHING_TOOL_CELL_#{args[:CELL]}" },
                  enabled_key: :POLTIME,
                  use_count_key: :TOOL_TIME,
                  max_use_count_key: :TOOL_MAX_LIFETIME,
                  data: [{
                           name: 'tool_rfid',
                           key: :TOOL_RFID_ID,
                           touch_on_update: false
                         },
                         {
                           name: 'tool_type',
                           key: :TOOLTYPE,
                           touch_on_update: false
                         },
                         {
                           name: 'tool_position',
                           key: :TOOL,
                           touch_on_update: false
                         },
                         {
                           name: 'tool_lens_count',
                           key: :TOOL_LENS_COUNT,
                           touch_on_update: true
                         }]
                },
                {
                  resolved_name: lambda { |args| "PRE_POLISHING_TOOL_CELL_#{args[:CELL]}" },
                  enabled_key: :POLTIME_PP,
                  use_count_key: :TOOL_TIME_PP,
                  max_use_count_key: :TOOL_MAX_LIFETIME_PP,
                  data: [{
                           name: 'pp_tool_rfid',
                           key: :TOOL_RFID_ID_PP,
                           touch_on_update: false
                         },
                         {
                           name: 'pp_tool_type',
                           key: :TOOLPP_TYPE,
                           touch_on_update: false
                         },
                         {
                           name: 'pp_tool_position',
                           key: :TOOLPP,
                           touch_on_update: false
                         },
                         {
                           name: 'pp_tool_lens_count',
                           key: :TOOL_LENS_COUNT_PP,
                           touch_on_update: true
                         }]
                }
              ]
            }
          end

        end
      end
    end
  end
end

