class MoveMaxJobNumberToJobSettings < ActiveRecord::Migration[6.1]
  class JobSetting < ActiveRecord::Base; end
  class ProductionSetting < ActiveRecord::Base; end

  def up
    job_setting = JobSetting.first_or_create!

    unless ProductionSetting.first.nil?
      job_setting.update(max_job_number_length: ProductionSetting.first.max_job_number_length)
    end

    remove_column :production_settings, :max_job_number_length
  end

  def down
    add_column :production_settings, :max_job_number_length, :integer

    ProductionSetting.reset_column_information

    unless ProductionSetting.first.nil?
      ProductionSetting.first.update(max_job_number_length: JobSetting.first.max_job_number_length)
    end
  end
end
